<script setup>
import UserEdit from '@/Components/UserEdit.vue'; 
import AuthenticatedLayout from '@/Layouts/AuthenticatedLayout.vue';
import { Head } from '@inertiajs/inertia-vue3';
import { ref, reactive, computed, readonly, onMounted } from 'vue'
import { usePage } from '@inertiajs/inertia-vue3'
import { notify } from "@kyvg/vue3-notification";

const props = defineProps({
    status: String,
});

onMounted(() => {
    if(props.status){
        notify({
            title: props.status,
            type: 'success',
        });
    }
})
const user = readonly(usePage().props.value.auth.user);
const state = reactive({ edit: false });

function edit() {
      state.edit = !state.edit;
    }
</script>

<template>
    <Head title="Profile" />
    <AuthenticatedLayout>
        <template #header>
            <h2 class="font-semibold text-xl text-gray-800 leading-tight">
                Profile
            </h2>
        </template>

        <div class="py-12">
            <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
                <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg">
                    <button class="m-3" @click="edit"><p v-if="!state.edit">Edit</p><p v-else>Back</p></button>
                    <div v-if="!state.edit" class="p-6 bg-white border-b border-gray-200">
                        <div class="grid grid-cols-1 gap-y-1">
                            <div><h3>Name:</h3><p class="px-1">{{ user.name }}</p></div>
                            <div><h3>Email:</h3><p class="px-1">{{ user.email }}</p></div>
                        </div>
                    </div>
                    <div class="p-6 bg-white border-b border-gray-200" v-else><UserEdit :userToEdit="user"></UserEdit></div>
                </div>
            </div>
        </div>
    </AuthenticatedLayout>
</template>
